GDB (xrefs)

Public Attributes | List of all members
addrmap_funcs Struct Reference

## Public Attributes
void(* | set_empty )(struct addrmap *self, CORE_ADDR start, CORE_ADDR end_inclusive, void *obj)
void *(* | find )(struct addrmap *self, CORE_ADDR addr)
struct addrmap *(* | create_fixed )(struct addrmap *self, struct obstack *obstack)
void(* | relocate )(struct addrmap *self, CORE_ADDR offset)
int(* | foreach )(struct addrmap *self, addrmap_foreach_fn fn, void *data)

## Detailed Description

Definition at line 30 of file addrmap.c.

## Member Data Documentation

## ◆ create_fixed

struct addrmap*(* addrmap_funcs::create_fixed) (struct addrmap *self, struct obstack *obstack)

Definition at line 36 of file addrmap.c.

Referenced by addrmap_create_fixed().

## ◆ find

void*(* addrmap_funcs::find) (struct addrmap *self, CORE_ADDR addr)

Definition at line 35 of file addrmap.c.

Referenced by addrmap_find().

## ◆ foreach

int(* addrmap_funcs::foreach) (struct addrmap *self, addrmap_foreach_fn fn, void *data)

Definition at line 39 of file addrmap.c.

Referenced by addrmap_foreach().

## ◆ relocate

void(* addrmap_funcs::relocate) (struct addrmap *self, CORE_ADDR offset)

Definition at line 38 of file addrmap.c.

Referenced by addrmap_relocate().

## ◆ set_empty

void(* addrmap_funcs::set_empty) (struct addrmap *self, CORE_ADDR start, CORE_ADDR end_inclusive, void *obj)

Definition at line 32 of file addrmap.c.

Referenced by addrmap_set_empty().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/addrmap.c